org.jetlang.web

## Class SessionDispatcherFactory.OnReadThread<S>

- java.lang.Object
- - org.jetlang.web.SessionDispatcherFactory.OnReadThread<S>

All Implemented Interfaces:
  SessionDispatcherFactory.SessionDispatcher<S>

Enclosing interface:
  SessionDispatcherFactory<S>

    public static class SessionDispatcherFactory.OnReadThread<S>
    extends Object
    implements SessionDispatcherFactory.SessionDispatcher<S>

### Constructor Summary

Constructors
Constructor and Description
`OnReadThread()`

### Method Summary

All Methods Instance Methods Concrete Methods
`<T> WebSocketHandler<S,T>` `createOnNewSession(WebSocketHandler<S,T> handler, HttpRequest headers, S sessionState)`
`NioReader.State` `dispatch(HttpHandler<S> handler, HttpRequest headers, HttpResponse response, HeaderReader<S> headerReader, NioWriter writer, S sessionState)`
`void` `onClose(S session)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### OnReadThread

    public OnReadThread()

### Method Detail

#### createOnNewSession

    public <T> WebSocketHandler<S,T> createOnNewSession(WebSocketHandler<S,T> handler,
                                                        HttpRequest headers,
                                                        S sessionState)

Specified by:
  `createOnNewSession` in interface `SessionDispatcherFactory.SessionDispatcher<S>`

#### dispatch

    public NioReader.State dispatch(HttpHandler<S> handler,
                                    HttpRequest headers,
                                    HttpResponse response,
                                    HeaderReader<S> headerReader,
                                    NioWriter writer,
                                    S sessionState)

Specified by:
  `dispatch` in interface `SessionDispatcherFactory.SessionDispatcher<S>`

#### onClose

    public void onClose(S session)

Specified by:
  `onClose` in interface `SessionDispatcherFactory.SessionDispatcher<S>`